## evolver 2.23

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,10 @@
 
 # NOTE: -DOOGL should be specified in CFLAGS if you want Evolver to 
 # be able to use geomview.  And -DOOGL is harmless in any case. 
+
+# NOTE: You can use the readline input editing system (if your system has it)
+# by adding -DREADLINE to CFLAGS and  -lreadline -lcurses to GRAPHLIB.
+# But beware; readline may be incompatible with using geomview.
 
 # Pick your compiler, and add any options you want, such as optimization
 CC= cc 
@@ -29,20 +33,18 @@
 
 # Remove #'s from following 3 lines for LINUX with OpenGL GLUT graphics.
 # The graphics are on a second thread, so pthreads are needed.
-# -DREADLINE, -lreadline, and -lcurses enable line editing at the command
-# prompt; they may be deleted if they give you trouble.
-# -DPTRHEADS is necessary with glutgraph.o.
-#CFLAGS= -DLINUX -DOOGL -DREADLINE -DPTHREADS
+# NOTE: -DPTRHEADS is necessary with glutgraph.o.
+#CFLAGS= -DLINUX -DOOGL -DPTHREADS
 #GRAPH= glutgraph.o 
-#GRAPHLIB= -lreadline -lcurses -lGL -lGLU -lglut -lpthread
+#GRAPHLIB= -lGL -lGLU -lglut -lpthread
+# NOTE: I have heard the following version is needed for RedHat 9:
+#GRAPHLIB= -lGL -lGLU -lglut -L/usr/X11R6/lib -lXi -lXmu -lpthread
 
 # Remove #'s from following 3 lines for LINUX with crummy Xwindows graphics.
 # You may have to modify the X11 lib path given here.
-# -DREADLINE, -lreadline, and -lcurses enable line editing at the command
-# prompt; they may be deleted if they give you trouble.
-#CFLAGS= -DLINUX -DOOGL -DREADLINE
+#CFLAGS= -DLINUX -DOOGL 
 #GRAPH= xgraph.o 
-#GRAPHLIB= -L/usr/X11R6/lib -lX11 -lreadline -lcurses
+#GRAPHLIB= -L/usr/X11R6/lib -lX11 
 
 # Remove #'s from following 5 lines for MAC OSX with OpenGL GLUT graphics.
 #INC=/System/Library/Frameworks/GLUT.framework/Versions/A/Headers
@@ -65,14 +67,14 @@
 #INCLUDE= -I/usr/openwin/include -I$(GLUTHOME)/include
 #CFLAGS= -DSUN -DOOGL -DGLUT -DPTHREADS -pthreads $(INCLUDE)
 #GRAPH= glutgraph.o 
-#GRAPHLIB= -L/usr/openwin/lib  -lX11 -L$(GLUTHOME)/lib/glut -lglut -lGL -lGLU -lXmu
+#GRAPHLIB= -L/usr/openwin/lib  -lX11 -L$(GLUTHOME)/lib/glut -lglut -lGL -lGLU -lXmu -lrt
 
 # 64-bit SOLARIS with GLUT.  Also see 32 bit comments above.
 #GLUTHOME= /usr/local/sparc_solaris_64bit/glut-3.7
 #INCLUDE= -I/usr/openwin/include -I$(GLUTHOME)/include
 #CFLAGS= -DSUN -DOOGL -DGLUT -DPTHREADS -pthreads $(INCLUDE) -m64 
 #GRAPH= glutgraph.o 
-#GRAPHLIB= -L/usr/openwin/lib  -lX11 -L$(GLUTHOME)/lib/glut -lglut -lGL -lGLU -lXmu
+#GRAPHLIB= -L/usr/openwin/lib  -lX11 -L$(GLUTHOME)/lib/glut -lglut -lGL -lGLU -lXmu -lrt
 
 #Note on Solaris:
 #SOLARISFLAGS= -L/usr/ucblib -lucb -R/usr/ucblib -lnsl -lsocket
@@ -142,7 +144,7 @@
 	 dodecGroup.o registry.o khyp.o gauss.o knot1.o eval_all.o\
 	 lexinit2.o evalmore.o knot2.o knot3.o teix.o sqcurve2.o\
 	 hessian2.o hessian3.o method1.o method2.o method3.o  bk.o\
-	 method4.o eval_sec.o sqcurve3.o metis.o lagrange.o
+	 method4.o method5.o eval_sec.o sqcurve3.o metis.o lagrange.o
 
 
 evolver: makemark  $(OBJ)  $(GRAPH)
