## evolver 2.26c

=== Makefile ===
--- 
+++ 
@@ -14,15 +14,21 @@
 # by adding -DREADLINE to CFLAGS and  -lreadline -lcurses to GRAPHLIB.
 # But beware; readline may be incompatible with using geomview.
 
+#-----------------------------------------------------------------------------
+
 # Pick your compiler, and add any options you want, such as optimization
 CC= cc 
 #CC= gcc
+
+#---------------------Start of system choices---------------------------------
 
 # Remove #'s from following 3 lines for generic Unix without builtin graphics.
 # Add -DOOGL to CFLAGS if you are using geomview.
 #CFLAGS= -DGENERIC
 #GRAPH= nulgraph.o 
 #GRAPHLIB= 
+
+#-----------------------------------------------------------------------------
 
 # Remove #'s from following 3 lines for generic Unix with X-windows. 
 # Add -DOOGL to CFLAGS if you are using geomview.
@@ -31,20 +37,28 @@
 #GRAPHLIB= -lX11 
 #some places might have -lX11-mit
 
+#-----------------------------------------------------------------------------
+
 # Remove #'s from following 3 lines for LINUX with OpenGL GLUT graphics.
 # The graphics are on a second thread, so pthreads are needed.
 # NOTE: -DPTRHEADS is necessary with glutgraph.o.
 #CFLAGS= -DLINUX -DOOGL -DPTHREADS
 #GRAPH= glutgraph.o 
 #GRAPHLIB= -lGL -lGLU -lglut -lpthread
-# NOTE: I have heard the following version is needed for RedHat 9:
+# NOTE: It has been reported to me that RedHat 9 needs the following line
+# for GRAPHLIB, but earlier and later versions do okay with the GRAPHLIB
+# line just above.
 #GRAPHLIB= -lGL -lGLU -lglut -L/usr/X11R6/lib -lXi -lXmu -lpthread
+
+#-----------------------------------------------------------------------------
 
 # Remove #'s from following 3 lines for LINUX with crummy Xwindows graphics.
 # You may have to modify the X11 lib path given here.
 #CFLAGS= -DLINUX -DOOGL 
 #GRAPH= xgraph.o 
 #GRAPHLIB= -L/usr/X11R6/lib -lX11 
+
+#-----------------------------------------------------------------------------
 
 # Remove #'s from following 5 lines for MAC OSX with OpenGL GLUT graphics.
 #INC=/System/Library/Frameworks/GLUT.framework/Versions/A/Headers
@@ -53,6 +67,8 @@
 #GLDIR=/System/Library/Frameworks/OpenGL.framework/Libraries
 #GRAPHLIB= -L$(GLDIR)  -lGL -lGLU -lobjc  -framework GLUT
 
+#-----------------------------------------------------------------------------
+
 # Remove #'s from following 3 lines for SUNs or SPARCSTATIONs with X-windows
 # WARNING: If you use -O2 optimization, you may have to compile popfilm.c
 # without optimization, because sun optimization may hang.
@@ -60,32 +76,47 @@
 #GRAPH= xgraph.o 
 #GRAPHLIB= -L/usr/openwin/lib  -lX11 
 
+#-----------------------------------------------------------------------------
+
 # 32-bit SOLARIS with GLUT.  The GLUT graphics window runs in a separate
-# thread;  -DPTHREADS enables threads in Evolver source code, and -pthreads
-# enables it in the gcc compiler.  For Solaris cc compiler, use -mt instead.
+# thread;  -DPTHREADS enables threads in Evolver source code, and -mt
+# enables it in the Solaris cc compiler.  For the gcc compiler, use -pthreads 
+# instead of -mt.
+# You should check to see that the GLUTHOME directory listed below exists;
+# it may be some other place on your machine.  If you can't find it,
+# download glut-3.7b.sparc_solaris.tar.gz from www.sun.com.
 #GLUTHOME= /usr/local/sparc_solaris/glut-3.7
 #INCLUDE= -I/usr/openwin/include -I$(GLUTHOME)/include
-#CFLAGS= -DSUN -DOOGL -DGLUT -DPTHREADS -pthreads $(INCLUDE)
+#CFLAGS= -DSUN -DOOGL -DGLUT -DPTHREADS -mt $(INCLUDE)
 #GRAPH= glutgraph.o 
-#GRAPHLIB= -L/usr/openwin/lib  -lX11 -L$(GLUTHOME)/lib/glut -lglut -lGL -lGLU -lXmu -lrt
+#GRAPHLIB= -L/usr/openwin/lib  -lX11 -L$(GLUTHOME)/lib/glut -lglut -lGL -lGLU -lXmu
+
+#-----------------------------------------------------------------------------
 
 # 64-bit SOLARIS with GLUT.  Also see 32 bit comments above.
+# You should check to see that the GLUTHOME directory listed below exists;
+# it may be some other place on your machine.  If you can't find it,
+# download glut-3.7b.sparc_solaris_64.tar.gz from www.sun.com.
 #GLUTHOME= /usr/local/sparc_solaris_64bit/glut-3.7
 #INCLUDE= -I/usr/openwin/include -I$(GLUTHOME)/include
-#CFLAGS= -DSUN -DOOGL -DGLUT -DPTHREADS -pthreads $(INCLUDE) -m64 
+#CFLAGS= -DSUN -DOOGL -DGLUT -DPTHREADS -mt $(INCLUDE) -m64 
 #GRAPH= glutgraph.o 
-#GRAPHLIB= -L/usr/openwin/lib  -lX11 -L$(GLUTHOME)/lib/glut -lglut -lGL -lGLU -lXmu -lrt
+#GRAPHLIB= -L/usr/openwin/lib  -lX11 -L$(GLUTHOME)/lib/glut -lglut -lGL -lGLU -lXmu
 
 #Note on Solaris:
 #SOLARISFLAGS= -L/usr/ucblib -lucb -R/usr/ucblib -lnsl -lsocket
 #are needed for some programs on Solaris; but not this one -- they're poison
 #for Evolver!
 
+#-----------------------------------------------------------------------------
+
 # Remove #'s from following 3 lines for DEC Alpha with X-windows 
 # Add -DOOGL to CFLAGS if you have the X version of geomview.
 #CFLAGS= -DDECALPHA -O -Olimit 2000
 #GRAPH= xgraph.o
 #GRAPHLIB= -lX11
+
+#-----------------------------------------------------------------------------
 
 # IRIX 4, with old gl graphics
 # Remove #'s from the following three lines for Iris workstations with 
@@ -94,12 +125,16 @@
 #GRAPH= iriszgraph.o
 #GRAPHLIB=  -lgl_s -lmalloc -lc_s
 
+#-----------------------------------------------------------------------------
+
 # IRIX 5
 # Remove #'s from the following three lines for Iris workstations with 
 # geomview.  Those with R4000 CPUs or above may add -mips2 to CFLAGS.
 #CFLAGS = -DIRIS -DOOGL -O2 -Olimit 3000 
 #GRAPH= xgraph.o
 #GRAPHLIB=   -lmalloc -lX11
+
+#-----------------------------------------------------------------------------
 
 # IRIX 5, parallel
 # Remove #'s from the following three lines for Iris workstations with 
@@ -109,13 +144,17 @@
 #GRAPH= xgraph.o
 #GRAPHLIB=   -lmalloc -lX11
 
+#-----------------------------------------------------------------------------
+
 # IRIX 6
 # Remove #'s from the following three lines for Iris workstations with 
 # IRIX 6.x operating system.  Add -DSGI_MULTI to CLFAGS if you
 # have multiple processors.
-#CFLAGS = -DIRIS -DOOGL -O2 -OPT:Olimit=6000
+#CFLAGS = -DIRIS -DOOGL -O2 -OPT:Olimit=10000
 #GRAPH= xgraph.o
 #GRAPHLIB=   -lmalloc -lX11
+
+#-----------------------------------------------------------------------------
 
 
 # Remove #'s from following 3 lines for  HP workstation
@@ -123,12 +162,16 @@
 #CFLAGS= -Aa  -D_HPUX_SOURCE  -I/usr/include/X11R5
 #GRAPH= xgraph.o
 #GRAPHLIB= -L/usr/lib/X11R5 -lX11
+
+#-----------------------------------------------------------------------------
 
 # Remove #'s from following 3 lines for NeXTStep without screen graphics
 # (see separate ftp archive evolver.next.tar.Z for graphics version)
 #CFLAGS= -DNeXT
 #GRAPH= nulgraph.o 
 #GRAPHLIB= 
+
+#-------------------End of system-specific options----------------------------
 
 OBJ= calcforc.o  variable.o trirevis.o  stringl.o stringq.o model.o\
 	 fixvol.o query.o matrix.o grapher.o painter.o filml.o filmq.o\
@@ -144,7 +187,7 @@
 	 dodecGroup.o registry.o khyp.o gauss.o knot1.o eval_all.o\
 	 lexinit2.o evalmore.o knot2.o knot3.o teix.o sqcurve2.o\
 	 hessian2.o hessian3.o method1.o method2.o method3.o  bk.o\
-	 method4.o method5.o eval_sec.o sqcurve3.o metis.o lagrange.o
+	 method4.o method5.c eval_sec.o sqcurve3.o metis.o lagrange.o
 
 
 evolver: makemark  $(OBJ)  $(GRAPH)
@@ -152,6 +195,7 @@
 
 # This is to get global dependencies on the main header files.
 makemark: skeleton.h storage.h model.h web.h
+	if [[ -z "$(GRAPH)" ]] ; then (echo "ERROR: You need to uncomment your system's lines in Makefile.") ; fi
 	rm *.o || true
 	touch makemark
