## evolver 2.30c

=== debian/changelog ===
evolver (2.30c-2) unstable; urgency=low

  * No longer has ev225g.tar.gz or any other tarball (closes: #392377).
  * Removed libreadline5-dev from Build-Depends (closes: #553753).
  * Changed to source format 3.0 (quilt).
  * Bumped debhelper compat to 5, and Standards-Version.
  * Corrected evolver-doc doc-base section.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 25 Jun 2010 07:54:20 -0400

evolver (2.30c-1) unstable; urgency=low

  * New upstream release (closes: #466798).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 26 Feb 2008 00:20:50 -0500

evolver (2.26c-1) unstable; urgency=low

  * New upstream version (required by change to binary PDF docs).
  * New PDF documentation is not corrupted (closes: #355081).
  * Changed PDF manual link in doc/install.htm to point to both installed copy
    and online link (closes: #355082).
  * Changed build dependency to freeglut3-dev (closes: #394489).
  * Updated standards version and moved dh version to debian/compat.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri,  7 Sep 2007 18:38:58 -0400

evolver (2.26-1) unstable; urgency=low

  * New upstream release.
  * Incorporate Roger Leigh's work with Karl Chen's patch (closes: #317404).
  * Discarded my evolver man page in favor of new upstream.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 31 Oct 2005 13:32:23 -0500

evolver (2.23-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * src/include.h: Don't prototype calloc() and friends when building
    with an ANSI C compiler (Closes: 317404).  Based on a patch by
    Karl Chen.
  * debian/control: Build-Depend on libreadline5-dev, rather than
    the old libreadline4-dev.

 -- Roger Leigh <rleigh@debian.org>  Fri, 22 Jul 2005 21:16:12 +0100

evolver (2.23-1) unstable; urgency=low

  * New upstream release.
  * Changed Build-Depends from xlibs-dev to libx11-dev (closes: #255962).
  * Removed "prototypes" including calloc from src/include.h (closes: 258657).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 11 Aug 2004 12:06:07 -0400

evolver (2.20-1) unstable; urgency=low

  * New upstream (closes: #206787).
  * Forward-ported patch to include evolver-doc examples dir in default path.
  * Changed graphics from "crummy X" to GLUT.
  * Added readline dependency.
  * Tweaked evolver manpage.
  * Updated Standards-Version to 3.6.1.0.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 26 Aug 2003 10:53:22 -0400

evolver (2.14-5) unstable; urgency=low

  * Changed Build-Depends from xlib6g-dev to xlibs-dev (closes: #170172).
  * Updated Standards-Version to 3.5.8.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 24 Nov 2002 11:38:11 -0500

evolver (2.14-4) unstable; urgency=low

  * Added symlink from /usr/share/doc/evolver-doc/evolver.htm to default.htm
    since the former is missing and lots of files link the #doc top anchor
    which is only present in the latter (closes: #105395).
  * Bumped Standards-Version since the old one doesn't make sense with
    DH_COMPAT=2.
  * Added a manpage for evolver.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 20 Sep 2001 15:25:41 -0400

evolver (2.14-3) unstable; urgency=low

  * Added xlib6g-dev to Bulid-Depends, not xlibs-dev so it will still build on
    potato. (closes: #100806)

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 14 Jun 2001 08:03:45 -0400

evolver (2.14-2) unstable; urgency=low

  * Contacted upstream author for a more thorough and acceptable copyright
    statement.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 14 Nov 2000 17:20:58 -0500

evolver (2.14-1) unstable; urgency=low

  * Initial Release (Closes: #75003).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue,  7 Nov 2000 16:57:55 -0500
