=== debian/control ===
Source: evolver
Section: math
Priority: extra
Maintainer: Adam C. Powell, IV <hazelsct@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5), quilt, libx11-dev, freeglut3-dev | libglut-dev, libreadline-dev

Package: evolver
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: evolver-doc, geomview
Description: Surface Evolver
 The Surface Evolver is an interactive program for the study of surfaces shaped
 by surface tension and other energies, and subject to various constraints.

Package: evolver-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: evolver
Description: Surface Evolver documentation and examples
 The Surface Evolver is an interactive program for the study of surfaces shaped
 by surface tension and other energies, and subject to various constraints.
