=== debian/changelog ===
evolver (2.30c.dfsg-3) unstable; urgency=low

  * Removed manual230.pdf (closes: #651679).
  * Version 2.30 stopped using gets() so evolver doesn't link with readline,
    removed it from Build-Depends and linker line (closes: #646139).
    Thanks: Daniel T Chen.
  * Added build-arch and build-indep targets to rules.
  * Bumped Standards-Version.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Wed, 14 Dec 2011 17:50:20 -0500
