=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: extra
 Maintainer: Adam C. Powell, IV <hazelsct@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 5), quilt, libx11-dev, freeglut3-dev | libglut-dev, libreadline-dev
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 5), quilt, libx11-dev, freeglut3-dev | libglut-dev
 
 Package: evolver
 Architecture: any
