=== debian/rules ===
--- 
+++ 
@@ -24,10 +24,13 @@
 	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
 	touch $@
 
-build: patch-stamp
+build: build-arch
+build-arch: patch-stamp
 	dh_testdir
 	make -C src evolver
 	touch build
+
+build-indep:
 
 # These two are only usefull if you can selectively
 # install for arch and indep stuff.
@@ -41,7 +44,7 @@
 install-indep: patch-stamp
 	dh_installdirs -i
 	install -d debian/evolver-doc/usr/share/doc/evolver-doc/examples
-	cp -p doc/* manual230.pdf debian/evolver-doc/usr/share/doc/evolver-doc
+	cp -p doc/* debian/evolver-doc/usr/share/doc/evolver-doc
 	cp -p fe/* debian/evolver-doc/usr/share/doc/evolver-doc/examples
 	chmod -x debian/evolver-doc/usr/share/doc/evolver-doc/examples/*
 	rm debian/evolver-doc/usr/share/doc/evolver-doc/evolver.htm
@@ -83,4 +86,4 @@
 
 binary:		binary-indep binary-arch
 
-.PHONY: binary binary-arch binary-indep clean checkroot
+.PHONY: binary binary-arch binary-indep build build-indep clean checkroot
