## evolver 2.70%2Bds

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds \
http://www.susqu.edu/facstaff/b/brakke/evolver/evolver.html (?:.*/)?evolver[_\-\.]?(\d\S+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)) \
debian bash debian/repack
